import React from "react"
import { login, isAuthenticated } from "../../services/auth"

const PrivateRoute = ({ component: Component, location, ...rest }) => {
	if (!isAuthenticated() && location.pathname !== `/auth/signin`) {
		login()
		return null
	}

	return <Component {...rest} />
}

export default PrivateRoute
