import React, { useEffect } from "react"
import { isAdministrator } from "../../../services/auth"
import { navigate } from "gatsby"
import { Card, notification } from "antd"
import PrimaryMenu from "./PrimaryMenu"

const Menus = () => {
	useEffect(() => {
		if (!isAdministrator()) {
			notification["warning"]({
				message: "Warning!",
				description: "Your account is not allowed!",
			})
			navigate("/backend/dashboard")
		}
	}, [])

	return (
		<Card>
			<PrimaryMenu />
		</Card>
	)
}

export default Menus
